import { EventEmitter, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export type ColorMode = 'color' | 'c' | '1' | 'grayscale' | 'g' | '2' | 'presets' | 'p' | '3';
export type AlphaChannel = 'enabled' | 'disabled' | 'always' | 'forced';
export type BoundingRectangle = {
    top: number;
    bottom: number;
    left: number;
    right: number;
    height: number;
    width: number;
};
export type OutputFormat = 'auto' | 'hex' | 'rgba' | 'hsla';
export declare function calculateAutoPositioning(elBounds: BoundingRectangle, triggerElBounds: BoundingRectangle): string;
export declare function detectIE(): boolean | number;
export declare class TextDirective {
    rg: number;
    text: any;
    newValue: EventEmitter<any>;
    inputChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextDirective, "[text]", never, { "rg": { "alias": "rg"; "required": false; }; "text": { "alias": "text"; "required": false; }; }, { "newValue": "newValue"; }, never, never, true, never>;
}
export declare class SliderDirective {
    private elRef;
    private listenerMove;
    private listenerStop;
    rgX: number;
    rgY: number;
    slider: string;
    dragEnd: EventEmitter<any>;
    dragStart: EventEmitter<any>;
    newValue: EventEmitter<any>;
    mouseDown(event: any): void;
    touchStart(event: any): void;
    constructor(elRef: ElementRef);
    private move;
    private start;
    private stop;
    private getX;
    private getY;
    private setCursor;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SliderDirective, "[slider]", never, { "rgX": { "alias": "rgX"; "required": false; }; "rgY": { "alias": "rgY"; "required": false; }; "slider": { "alias": "slider"; "required": false; }; }, { "dragEnd": "dragEnd"; "dragStart": "dragStart"; "newValue": "newValue"; }, never, never, true, never>;
}
export declare class SliderPosition {
    h: number;
    s: number;
    v: number;
    a: number;
    constructor(h: number, s: number, v: number, a: number);
}
export declare class SliderDimension {
    h: number;
    s: number;
    v: number;
    a: number;
    constructor(h: number, s: number, v: number, a: number);
}
